<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>org.openautonomousconnection.luaj</groupId>
    <artifactId>parent</artifactId>
    <version>0.0.0-STABLE-1.0</version>
    <packaging>pom</packaging>

    <modules>
        <module>core</module>
        <module>jse</module>
        <module>jme</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.release>25</maven.compiler.release>
        <maven.compiler.source>${maven.compiler.release}</maven.compiler.source>
        <maven.compiler.target>${maven.compiler.release}</maven.compiler.target>
        <luaj.brand.jse>jse ${project.version}</luaj.brand.jse>
        <luaj.brand.jme>jme ${project.version}</luaj.brand.jme>
    </properties>

    <licenses>
        <license>
            <name>MIT License</name>
            <url>https://opensource.org/license/mit</url>
            <comments>The license is readable in the LICENSE-File</comments>
        </license>
    </licenses>

    <developers>
        <developer>
            <name>Enby</name>
            <url>https://github.com/Enyby</url>
            <organization>LuaJ</organization>
            <organizationUrl>https://github.com/luaj</organizationUrl>
        </developer>
        <developer>
            <name>Benjamin P. Jung </name>
            <url>https://github.com/headcr4sh</url>
            <organization>LuaJ</organization>
            <organizationUrl>https://github.com/luaj</organizationUrl>
        </developer>
        <developer>
            <name>Lorenzo Stanco</name>
            <url>https://github.com/lorenzos</url>
            <organization>LuaJ</organization>
            <organizationUrl>https://github.com/luaj</organizationUrl>
        </developer>
        <developer>
            <name>Mikhael-Danilov</name>
            <url>https://github.com/Mikhael-Danilov</url>
            <organization>LuaJ</organization>
            <organizationUrl>https://github.com/luaj</organizationUrl>
        </developer>
        <developer>
            <name>zaoqi</name>
            <url>https://github.com/zaoqi</url>
            <organization>LuaJ</organization>
            <organizationUrl>https://github.com/luaj</organizationUrl>
        </developer>
        <developer>
            <name>James Roseborough</name>
            <url>roseborough.com</url>
        </developer>
        <developer>
            <name>Ian Farmer</name>
        </developer>
        <developer>
            <name>Open Autonomous Connection</name>
            <url>https://open-autonomous-connection.org/</url>
            <organization>Open Autonomous Connection</organization>
            <organizationUrl>https://open-autonomous-connection.org/</organizationUrl>
        </developer>
    </developers>

    <issueManagement>
        <system>Issue Tracker</system>
        <url>https://repo.open-autonomous-connection.org/open-autonomous-connection/luaj/issues</url>
    </issueManagement>

    <distributionManagement>
        <repository>
            <id>oac</id>
            <name>LuaJ</name>
            <url>https://repo.open-autonomous-connection.org/api/packages/open-autonomous-connection/maven</url>
        </repository>
    </distributionManagement>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-javadoc-plugin</artifactId>
                    <version>3.6.3</version>
                    <configuration>
                        <failOnError>false</failOnError>
                        <failOnWarnings>false</failOnWarnings>
                        <doclint>none</doclint>
                        <locale>en_US</locale>
                        <encoding>UTF-8</encoding>
                        <docencoding>UTF-8</docencoding>
                        <charset>UTF-8</charset>
                    </configuration>
                    <executions>
                        <execution>
                            <id>attach-javadocs</id>
                            <goals>
                                <goal>jar</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>3.13.0</version>
                    <configuration>
                        <release>${maven.compiler.release}</release>
                        <encoding>${project.build.sourceEncoding}</encoding>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-source-plugin</artifactId>
                    <version>3.3.1</version>
                </plugin>
                <plugin>
                    <groupId>com.google.code.maven-replacer-plugin</groupId>
                    <artifactId>replacer</artifactId>
                    <version>1.5.3</version>
                </plugin>

                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>build-helper-maven-plugin</artifactId>
                    <version>3.6.0</version>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
</project>
